SET ECHO OFF
SET FEEDBACK OFF
SET VERIFY OFF

BTITLE OFF
SET HEADING OFF
SET PAGESIZE 9999
SET NEWPAGE 1

ACCEPT user_to_show -
       PROMPT 'Show the product profile for which user? '

TTITLE LEFT restriction_heading SKIP 2
COLUMN restriction_type_heading NOPRINT NEW_VALUE restriction_heading
COLUMN sort_by NOPRINT
COLUMN restriction FORMAT A30
BREAK ON restriction_type_heading SKIP PAGE

SELECT 'User ' || UPPER('&&user_to_show')
       || ' is restricted from executing the following commands:'
       restriction_type_heading,
       1 sort_by, '    ', attribute restriction
  FROM product_profile
 WHERE product = 'SQL*Plus'
   AND attribute <> 'ROLES'
   AND char_value = 'DISABLED'
   AND UPPER('&&user_to_show') LIKE userid
UNION
SELECT 'User ' || UPPER('&&user_to_show') 
       || ' has the following roles disabled:'
       restriction_type_heading,
       2 sort_by, '    ', char_value restriction
  FROM product_profile
 WHERE product = 'SQL*Plus'
   AND attribute = 'ROLES'
   AND ( UPPER('&&user_to_show') LIKE userid
         OR userid = 'PUBLIC')
UNION
SELECT 'User ' || UPPER('&&user_to_show')
       || ' does not exist.'
       restriction_type_heading,
       3 sort_by, '    ', ' ' restriction
  FROM dual
 WHERE NOT EXISTS (
          SELECT username 
            FROM all_users
           WHERE username = UPPER('&&user_to_show'))
ORDER BY sort_by, restriction
;

--Restore these settings to their defaults.
SET HEADING ON
SET PAGESIZE 14
SET FEEDBACK ON
SET VERIFY ON
TTITLE OFF
CLEAR BREAKS
CLEAR COLUMNS

